
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>c#汉诺塔的递归算法与解析_C#教程 / iVAN</title>

    <meta name="description" content="c#汉诺塔的递归算法与解析_C#教程 从左到右 A  B  C 柱 大盘子在下, 小盘子在上, 借助B柱将所有盘子从A柱移动到C柱, 期间只有一个原则: 大盘子只能在小盘子的下面. 如果有3个盘子, 大中小号, 越小的越在上面, 从上面给盘子按顺序编号 1(小),2(中),3(大), 后面的原理解析引用这里的编号. 小时候玩过这个游戏, 基本上玩到第7个,第8个就很没有耐心玩了,并且操作的动作都几乎相同觉得无聊.  后来学习编程, 认识到递归, 用递归解决汉诺塔的算法也是我除了简单的排序算法后学习到的第一种算法. 至于递归,简单来说">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">c#汉诺塔的递归算法与解析_C#教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>从左到右 A  B  C 柱 大盘子在下, 小盘子在上, 借助B柱将所有盘子从A柱移动到C柱, 期间只有一个原则: 大盘子只能在小盘子的下面.</p>
<p>如果有3个盘子, 大中小号, 越小的越在上面, 从上面给盘子按顺序编号 1(小),2(中),3(大), 后面的原理解析引用这里的编号.</p>
<p>小时候玩过这个游戏, 基本上玩到第7个,第8个就很没有耐心玩了,并且操作的动作都几乎相同觉得无聊.  后来学习编程, 认识到递归, 用递归解决汉诺塔的算法也是我除了简单的排序算法后学习到的第一种算法.</p>
<p>至于递归,简单来说就是方法内部自己调用自己, 同时也一定有一个结束点. 如果对方法调用栈了解的话,其实是很容易理解方法的调用过程的, 就是从主线程开始调用方法进行不停的压栈和出栈操作. 方法的调入就是将方法压入栈中, 方法的结束就是方法出栈的过程, 这样保证了方法调用的顺序流. 如果跟踪递归的调用情况会发现也是如此, 到最后一定是这个方法最后从栈中弹出回到主线程, 并且结束.</p>
<p>栈的特点:先进后出。 比如一个方法 A 自己调用自己, 我用编号区分一下进栈过程:</p>
<p>A -&gt; A(1) -&gt; A(2) -&gt; A(3)</p>
<p>在A(3)时满足某种条件得以退出, 回到 A(2), A(2)结束回到A(1), 再回到A, 出栈过程:</p>
<p>A(3) -&gt; A(2) -&gt; A(1) -&gt; A</p>
<p>对于递归,还有一个形象的认识,就是我小时候家里有一个柜子, 柜子两端都是玻璃, 头伸进柜子看一面镜子,会看到镜子里还有镜子, 然后镜子里还有镜子, 但和递归的特点不同的是这镜子的反射是没有尽头的, 只要眼睛一直能看到底的话.</p>
<p>了解完递归后, 再回头来看如何用递归的方式解决汉诺塔的问题.</p>
<p>案例 1 - 假设只有一个盘子的时候, 盘子数量 N=1</p>
<p>只有一个步骤   将第1个盘子从A移动到C, 为了对比方便我这样来描述这个步骤：</p>
<p>步骤  盘子编号 从柱子移动   移动到柱子</p>
<p>1       1                A               C</p>
<p>案例 2 - 如果有两个盘子, 盘子数量 N = 2</p>
<p>步骤  盘子编号 从柱子移动   移动到柱子</p>
<p>1              1                A               B</p>
<p>2              2                A               C</p>
<p>3              1                B               C</p>
<p>案例 3  - 如果有三个盘子, 盘子数量 N = 3</p>
<p>步骤  盘子编号 从柱子移动   移动到柱子</p>
<p>1                1　　　  A                    C</p>
<p>2                2　　　  A　　　　    B</p>
<p>3                1              C                     B</p>
<p>4                3              A                    C</p>
<p>5                1              B                    A</p>
<p>6                2              B                    C</p>
<p>7                1              A                    C   </p>
<p>如何找出盘子移动的规律 ？</p>
<p>我们要做的最重要的一件事情就是永远要把最底下的一个盘子从 A 移动到 C</p>
<p>看看上面从1个盘子的移动到3个盘子的移动, 在移动记录中,当盘子的编号和盘子数量相同的时候他们的步骤都是从A移动到C (看加粗的部分),其它的步骤对等.</p>
<p>再观察第3个案例中的第 1-3 步 和 第 5-7步</p>
<p>第 1-3 步 目的是从 A 移动到 B   如果我们把 B 当作终点, 那么这里的第 1-3 步理解起来和 第2个案例的三个步骤完全相同, 都是通过一个柱子来移动,和第2个案例比起来在后面加括号来表示</p>
<p>1       1　　　  A           C     ( A -&gt; B)</p>
<p>2       2　　　  A　       B     ( A -&gt; C)</p>
<p>3       1              C           B      ( B -&gt; C)</p>
<p>总结：将盘子B变成C即可.</p>
<p>第 5-7 步 目的是从 B 移动到 C   如果我们把 C 当作终点, 那么这里的 5-7 步理解起来和上面也是一样的, 和第2个案例的三个步骤也完全相同.和第2个案例比起来就是:</p>
<p>5       1       B           A    ( A -&gt; B)</p>
<p>6       2       B           C    ( A- &gt; C)</p>
<p>7       1       A           C    ( B -&gt; C)</p>
<p>总结: 将盘子B变成A即可</p>
<p>根据这个演示可以明确几点规律:</p>
<p>1. 当盘子只有一个的时候,只有一个动作 从 A 移动到 C 即结束.</p>
<p>2. 当有N个盘子的时候, 中间的动作都是从 A 移动到 C, 那么表示最下面的第N个盘子移动完毕</p>
<p>3. 中间动作之上都可以认为是: 从 A 移动到 B</p>
<p>4. 中间动作之下都可以认为是: 从 B 移动到 C</p>
<p>2，3，4 可以表示为</p>
<p>1       1                A               B</p>
<p>2       2                A               C</p>
<p>3       1                B               C</p>
<p>这种结构一直在重复进行,C#不太熟悉,试着写写,就有了以下代码:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>using System;<br />using System.Collections.Generic;<br />using System.Linq;<br />using System.Text;<br />
<br />namespace DataStructure<br />{<br />    class HanoiTower<br />    {</p>
<p>        public void MoveDisk(int DiskQuantity,string PositionA, string PositionB, string PositionC)<br />        {   <br />            // If there's only one disk, then end.<br />            if (DiskQuantity == 1)<br />            {<br />                Console.WriteLine("Move disk from position {0} to {1}.",  PositionA, PositionC);<br />                // Must return<br />                return;<br />            }<br />            else<br />            {<br />                // Step 1 - Change B to C  (A --&gt; B)<br />                MoveDisk(DiskQuantity - 1, PositionA,PositionC,PositionB);<br />                // Step 2 - No changes     (A --&gt; C)<br />                MoveDisk(1, PositionA, PositionB, PositionC);<br />                // Step 3 - Change B to A  (A --&gt; C)<br />                MoveDisk(DiskQuantity - 1, PositionB, PositionA, PositionC);<br />            }<br />        }</p>
<p>        static void Main(string[] args)<br />        {<br />            HanoiTower hanoi = new HanoiTower();</p>
<p>            Console.WriteLine("Please input Disk Quantity:");<br />            int DiskQuantity = Convert.ToInt32(Console.ReadLine());</p>
<p>            hanoi.MoveDisk(DiskQuantity, "A", "B", "C");</p>
<p>            Console.ReadKey();<br />        }<br />    }<br />}</p>
<p>结合上面的分析,最重要的就是这里的3步交换动作, 中间从 A到C的动作是最底层盘子的最终操作.</p>
<p> // Step 1 - Change B to C  (A --&gt; B)<br /> MoveDisk(DiskQuantity - 1, PositionA,PositionC,PositionB);<br /> // Step 2 - No changes     (A --&gt; C)<br /> MoveDisk(1, PositionA, PositionB, PositionC);<br /> // Step 3 - Change B to A  (A --&gt; C)<br /> MoveDisk(DiskQuantity - 1, PositionB, PositionA, PositionC);<br /> 至于第1个参数为什么是DiskQuantity - 1,或者1 大家再回到上面看看是不是所有的步骤都是.. 1.     1,2,1.    1,2,1,3,1,2,1 这种以盘子数对称的结构,而它前后都是重复1,2,1 的过程.</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDEzMzcxNzIzMzgxMTMucG5n.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 19:02:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%80%92%e5%bd%92%e7%ae%97%e6%b3%95/" title="递归算法">递归算法</a>, <a href="https://www.iamivan.net/tag/%e6%b1%89%e8%af%ba%e5%a1%94/" title="汉诺塔">汉诺塔</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>c#汉诺塔的递归算法与解析_C#教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKnJAz.html" rel="bookmark">java源码-java实现汉诺塔   求源码解析思路，不要链接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 java实现汉诺塔 求源码解析思路,不要链接 一共十六个盘子,盘子必须从小到大排列,只能在abc三个塔自由移动,一次只能移动一个!求源码 解决方案 这个要递推,假设开始的时候全部在a塔上,目标是全部移到c塔上. 从一个盘子开始: 1. 一个盘子,从a移到c塔显然只需要一步,所以答案是1 2.两个盘子,那么我们需要先将上面的一个盘子移到b塔,需要1步:再将a最下面的移到c塔上,需要1步:然后再将b塔的移到c塔上,需要1步:所以总计是3 3.三个盘子,那么我们需要先将上面两个移到b塔,按照			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOVGqb.html" rel="bookmark">汉诺塔非递归算法实现例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近的算法课,讲到了递归与分治策略,书上递归的例子是很经典的汉诺塔问题.问题大意是有三个塔座,分别为a,b,c,开始时塔座a上叠有n个圆盘,这些圆盘自上而下,由小到大地叠放在一起,各圆盘从小到大编号为1到n.要求将塔座a上的圆盘移动到塔座b上,并且在移动时每次只能移动一个圆盘,且每个塔座上的圆盘都必须保持自上而下.由小到大的排列顺序. 本文不涉及对非递归算法的数学性证明,若想理解非递归算法的道理,下面的就不用看啦. 递归的解法就不再说了,这里谈一下非递归的解法.教科书上对于非递归解法是这样描述的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jnR4p.html" rel="bookmark">使用python实现递归版汉诺塔示例&lpar;汉诺塔递归算法&rpar;&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用python实现的汉诺塔.带有图形演示 复制代码 代码如下: from time import sleep def disp_sym(num, sym):        print(sym*num, end='') #recusiondef hanoi(a, b, c, n, tray_num): if n == 1:  move_tray(a, c)  disp(tray_num)  sleep(0.7)  else:  hanoi(a, c, b, n-1, tray_num)  mov			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQX5Lp.html" rel="bookmark">Java使用递归法解决汉诺塔问题的代码示例&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				汉诺(Hanoi)塔问题:古代有一个梵塔,塔内有三个座A.B.C,A座上有n个盘子,盘子大小不等,大的在下,小的在上(如图). 有一个和尚想把这n个盘子从A座移到B座,但每次只能允许移动一个盘子,并且在移动过程中,3个座上的盘子始终保持大盘在下,小盘在上.在移动过程中可以利用B座,要求打印移动的步骤.如果只有一个盘子,则不需要利用B座,直接将盘子从A移动到C. 如果有2个盘子,可以先将盘子1上的盘子2移动到B:将盘子1移动到c:将盘子2移动到c.这说明了:可以借助B将2个盘子从A移动到C,当然,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvkZap.html" rel="bookmark">C语言递归实现汉诺塔算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				汉诺塔的递归实现算法,将A中的圆盘借助B圆盘完全移动到C圆盘上, 每次只能移动一个圆盘,并且每次移动时大盘不能放在小盘上面 递归函数的伪算法为如下: if(n == 1) 直接将A柱子上的圆盘从A移动到C else 先将A柱子上的n-1个圆盘借助C柱子移动到B柱子上 直接将A柱子上的第n个圆盘移动到C柱子上 最后将B柱子上的n-1个圆盘借助A柱子移动到C柱子上 该递归算法的时间复杂度为O(2的n次方),当有n个圆盘时,需要移动圆盘2的n次方-1次 操作系统:ubuntu 编译软件:gcc 结果截			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkaNWb.html" rel="bookmark">多柱汉诺塔最优算法设计探究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				多柱汉诺塔最优算法设计探究   引言 汉诺塔算法一直是算法设计科目的最具代表性的研究问题,本文关注于如何设计多柱汉诺塔最优算法的探究.最简单的汉诺塔是三个柱子(A.B.C),因此多柱汉诺塔的柱子个数M≥3.下面从三柱汉诺塔说起,慢慢深入我们要关心的问题. 1. 三柱汉诺塔 三柱汉诺塔是经典的汉诺塔问题,在算法设计中是递归算法的典型问题.其算法是这样的: 首先把A 柱上面的n- 1 个碟子通过C 柱移到B 柱上[T(n-1)步],然后把A 柱剩下的一个碟子移到C 柱上[1步], 最后把B 柱上所有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydBd5b.html" rel="bookmark">【Python学习】Python解决汉诺塔问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				参考文章:http://www.cnblogs.com/dmego/p/5965835.html 一句话:学程序不是目的,理解就好:写代码也不是必然,省事最好:拿也好,查也好,解决问题就好! 信息时代不用信息就是罪过,直接抄不加理解与应用,就不是自己的,下次遇到还是不会,或许其中的某一个细节就能够用于各个问题的解决,共勉 学习一个东西总会遇到一些经典的问题,学习Python第二天尝试看一下汉诺塔问题,还是百度,看看解题思路,纯粹是重温初中课堂,越活越回去了  汉诺塔的图解递归算法 一．起源: 汉			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK1Kvb.html" rel="bookmark">学习笔记（菜鸟日志）-&amp;amp&semi;quot&semi;汉诺塔&amp;amp&semi;quot&semi;的递归过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				记得大一上C语言课程的时候我还刚刚会用迅雷下载电影,听不懂,也没认真听过,匆匆几个星期上完了考试.关于&quot;汉诺塔&quot;这样的字眼,也是仅仅记得是在那个书里面出现过而已.最近偶然拿起C语言的书,再次看到了&quot;汉诺塔&quot;递归算法的例子,转好几圈,终于搞明白了.现在花点时间重新这里下思路,一则方便自己以后回忆,二则希望能给和我一样菜的新手们提供参考,三则希望有高人出现对文中不足的地方加以斧正!    关于&quot;汉诺塔&quot;这个古老的益智游戏如果不清楚的,到百度百科一下!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmBDw1z.html" rel="bookmark">算法-汉诺塔是怎么思考出来的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 汉诺塔是怎么思考出来的 本人菜鸟,看到这个算法的时候觉得好巧妙,但是自己怎么也想不出来啊... 解决方案 所谓递归,其实人类是做不到的,因为递归嵌套多了,人就乱了,有点像是盗梦空间里的深层梦境limbo,到那就几乎回不到现实了. 但是计算机不像人类想法那么多,尤其是基于过程的设计,你教我怎么走我就怎么走,不会混乱,但是你得给我定个边界条件,要不我还是回不来. 汉诺塔的确是一个经典的递归问题,而人类做的最伟大的一步在于,把f(n)的问题转化为f(n-1),推本溯源,总要找到一个origi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBXoAp.html" rel="bookmark" class="title">PHP &plus; BAT 制作PHP自解析批处理</a>
					<div>
						关于标题:PHP + BAT 制作PHP自解析批处理 就是,一个BAT文件,内部包含了DOS的BAT批处理代码和PHP的CLI的代码. 因为后缀名为BAT,所以在WIndows系统上面,我点他,他就可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmmZ1p.html" rel="bookmark" class="title">如何设置IIS7支持ASP&quest;</a>
					<div>
						iis Vista系统自带的iis7.0,有很多新的功能让人耳目一新,在这里让我们看看IIS7是如何继续支持ASP的. 1.如何安装IIS7? Vista默认的情况下是没有安装IIS7,所以我们要在& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3vmgz.html" rel="bookmark" class="title">SUNWEN教程之----C&num;进阶2</a>
					<div>
						教程 SUNWEN教程之----C#进阶(二)mrfat@china.com  好了,I COME BACK,下面的代码显示了我们如何打印多个参数: 000: // CommandLine\cmdli ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2gK3M.html" rel="bookmark" class="title">利用WSE 加密SOAP报文&lpar;4&rpar;</a>
					<div>
						加密 加密对外发送的报文 这里我简单描述下如何创建一个可以返回个被加密的XML文档的Web服务.第一步先用using指示符来添加必要的命名空间,如下: using System.Web.Service ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLrRkb.html" rel="bookmark" class="title">Word 2010文档中书签的用法</a>
					<div>
						在Word 2010文档中添加书签后(参考教程&lt;在Word 2010文档中添加书签&gt;),书签怎么用呢?其实主要还是用于定位,具体操作步骤如下所述: 第1步,打开添加了书签的Word 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w6j8p.html" rel="bookmark" class="title">在Word中显示文字拼音</a>
					<div>
						大家在使用电脑过程当中经常会遇到不会读的文字,那有没有办法可以显示文字的拼音呢?其实在Word中就可以显示文字拼音,下面就介绍使用Word显示文字拼音的方法,希望大家可以掌握使用Word显示文字拼音的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kq2az.html" rel="bookmark" class="title">Fireworks 8 制作精美的指南针</a>
					<div>
						(图01) 首先,设置画布大小为128x128像素,底色为白色. 用椭圆工具画一个90x90的正圆形,并水平.垂直对齐于画布;(图02) (图02) 改变填充类别为线性渐变,增加并调整渐变颜色;(图0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrxglp.html" rel="bookmark" class="title">网吧交换机配置教程</a>
					<div>
						在网管的工作中,网吧交换机配置是必须要掌握和熟练的,由于这是一个复杂的过程,对于一些新生的网管们,可能还缺乏经验.本篇具体的说明网吧交换机配置教程,仅供参考. 不同类型的交换机Console端口所处的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN02Ab.html" rel="bookmark" class="title">利用PS描边路径及滤镜制作描边字</a>
					<div>
						制作颓废描边字方法有很多,最直接的方法就是用颓废画笔描边路径.这里介绍一种更好的方法,用描边路径及滤镜来完成.不过过程有点复杂,需要多次设置前背景颜色,并用特殊的滤镜来突出文字的边缘,得到初步的效果后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg33mAM.html" rel="bookmark" class="title">PHP分析POST重复值解决办法</a>
					<div>
						 PHP分析POST重复值客户端HTML &lt;form action=&quot;new.php&quot; method=&quot;post&quot;&gt; &lt;input name= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArV2np.html" rel="bookmark" class="title">Photoshop制作一只逼真的银色手镯</a>
					<div>
						  产品修图是作为广告图设计的一部分,需要认真的对待,鉴于最近很多同学纠结饰品修图方法,做个教程给大家,知其然知其所以然,了解修图的原理比结果更重要. 最终效果 素材图片. 1.我们先来了解一下镜面反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdnjBM.html" rel="bookmark" class="title">win7如何修改MAC地址</a>
					<div>
						  我们都知道,使用网络的时候,IP地址是可以变的,现在可以改变IP地址的方法太多了,相关的工具也不少,但是对于电脑来说,MAC地址却是唯一的,但是这并不意味着MAC地址就不能改了,下面我们就来详细的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKk6x5b.html" rel="bookmark" class="title">C&plus;&plus;STLvector</a>
					<div>
						一.构造函数 1).vecto&lt;T&gt; v; //创建一个空的vector&lt;T&gt;对象,这个对象的元素的类型为T,T是需要指定的. 2).vector&lt;T&gt;  v(n) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR4ZXz.html" rel="bookmark" class="title">控制-自拍杆的改键值如何修改，为什么第一次按有反应，再按就没反应了</a>
					<div>
						问题描述 自拍杆的改键值如何修改,为什么第一次按有反应,再按就没反应了 买了个自拍杆,是插耳机孔控制音量来拍照的,测自拍杆键值261,但是自拍杆上的按钮只有插上第一次按才显示,按第二次就没反应,需要重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32Ge3z.html" rel="bookmark" class="title">listview-Android中listView的用法</a>
					<div>
						问题描述 Android中listView的用法 求listView的详细,我不是很清楚,希望哪位大神给予帮助!感激不尽啊! 解决方案 ListView是比较常用的控件,但一直都觉得创建ListVie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWRRkz.html" rel="bookmark" class="title">lazarus如何制作截屏工具</a>
					<div>
						问题描述 lazarus如何制作截屏工具 如题,我用lazarus,如何制作一个可以截屏的工具,能录像就更好了,谢谢! 解决方案 linux下截屏工具linux下截屏工具					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydw5db.html" rel="bookmark" class="title">关闭 android 程序毁坏broadcast receiver</a>
					<div>
						问题描述 关闭 android 程序毁坏broadcast receiver 在 main activity 的 onCreate 方法中,我注册了 broadcastReciver.但是当我关闭程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEAo3M.html" rel="bookmark" class="title">beanutils-BeanUtils&period;copyProperties注册Date转换报错</a>
					<div>
						问题描述 BeanUtils.copyProperties注册Date转换报错 BeanUtils.copyProperties注册了Java. util. Date转换之后,老是报错:Class N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKlEEb.html" rel="bookmark" class="title">热点推荐：为什么JVM需要GC</a>
					<div>
						社区内有人发起了一个讨论,关于JVM是否一定需要GC?他们认为应用程序的回收目标是构建一个仅用来处理内存分配,而不执行任何真正的内存回收操作的 GC.即仅当可用的 Java 堆耗尽的时候,才进行顺序的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7QDkM.html" rel="bookmark" class="title">使用visual studio2010可以和mssql2000连接吗</a>
					<div>
						问题描述 使用visualstudio2010可以和mssql2000连接吗;oracle10gmysql5这些呢,也可以吗?我在2010里连接,为什么提示要mssql升级到2005以上呢. 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBAmDb.html" rel="bookmark" class="title">Qt之QEvent</a>
					<div>
						简述 QEvent 类是所有事件类的基类,事件对象包含事件参数. Qt 的主事件循环(QCoreApplication::exec())从事件队列中获取本地窗口系统事件,将它们转化为 QEvents, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKAZEb.html" rel="bookmark" class="title">命令模式坚决svn树冲突（local unversioned&comma; incoming add upon update）</a>
					<div>
						当工作目录修改删除过时更新使用svn更新就容易发生树冲突&quot;Tree Confilict&quot;.会出现类似提示. local unversioned, incoming add upon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKrrDb.html" rel="bookmark" class="title">url-Volley的缓存key的确定</a>
					<div>
						问题描述 Volley的缓存key的确定 对于post请求的时候,如,https://www.xxx./api/login 输入的参数是user_name,user_hashcode 在进行Volle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6gop.html" rel="bookmark" class="title">中小市值股破发比例逼近1&sol;3基金深陷破发门</a>
					<div>
						市场风雨飘摇之际,高市盈率带来的&quot;破发&quot;风险暴露无遗! 今年来上市的中小市值个股&quot;破发&quot;比例曾一度逼近1/3.缘何被基金等机构追捧的中小盘新股,反手成为套住机构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rlk7z.html" rel="bookmark" class="title">让数据中心更优秀 七大管理考量办法</a>
					<div>
						一座具有生产力和效率的数据中心对企业的日常商业运作至关重要.而管理一座数据中心以发挥其最大潜力,则要求一套战略来解决一系列的问题,包括成长.合规.整合.安全.和商业持续性等. 如今作为一名数据中心经理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R3vmz.html" rel="bookmark" class="title">关于无人驾驶，英特尔又实现了一个&OpenCurlyDoubleQuote;小目标&rdquo;</a>
					<div>
						人类对于未来总是充满无限的想象. 以未来的出行为例,在即将出发之前,汽车已经根据指令提前到达.在靠近汽车的时候,车门自动开启.上车以后,车门自动关闭,同时根据乘车人的指令,汽车自动启动并开始在路上行驶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEY2Xqb.html" rel="bookmark" class="title">Centos5&period;9安装MongoDB数据库步骤</a>
					<div>
						今天我们来安装下mongodb吧,这也是数据库的一种,为了偷懒,本文就使用yum安装,毕竟yum方便,依赖包都会给安装上的,除非是单独整个db服务器才去编译安装.   系统:centos 5.9 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm8DRp.html" rel="bookmark" class="title">防止频道重复定制问题</a>
					<div>
						问题描述 最近做一个项目中.涉及到一个频道的定制问题.描述如下.多个用户可以定制多个频道.但不能重复定制.我的构想是如果用户已定制了该频道后.就不在在当前用户浏览的订制频道页面显示出来.这样可防重复定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqKRXp.html" rel="bookmark" class="title">林怀仁9次施救不见效太平洋网络强行上市留苦果</a>
					<div>
						在去年公司刚上市时,面对首日挂牌就大跌的公司股票,太平洋网络董事长兼CEO林怀仁还可以安之若素,但恐怕现在他不这么想了--连续几次回购公司股票的行为,显示这位老总内心也有些不安了. 7月24日19时, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWE89z.html" rel="bookmark" class="title">机构投资人质疑Line增长潜力 无新营收渠道股价将下跌</a>
					<div>
						&lt;华尔街日报&gt;周三撰文指出,本周将在纽约和东京挂牌交易的Line,将成为今年规模最大的首次公开招股.虽然被市场看好,但分析师和机构投资人均对Line增长潜力产生了怀疑.他们认为,如果Lin ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
